import asyncio


async def set_future_result(value, delay):
    print(f"Задача начата. Установка результата '{value}' через {delay} секунд.")
    await asyncio.sleep(delay)
    print("Результат установлен.")
    return value


async def create_ans_use_future():
    task = asyncio.create_task(set_future_result("Успех", 2))
    print(f"Состояние Task до выполнения: {'Завершено' if task.done() else 'Ожидание'}")
    print("Задача запущена, ожидаем завершения...")
    await task
    print(f"Состояние Task до выполнения: {'Завершено' if task.done() else 'Ожидание'}")
    return task.result()


async def main():
    result = await create_ans_use_future()
    print("Результат из Task:", result)


asyncio.run(main())
