import asyncio

# Пример данных
log_events = [
    {"event": "Запрос на вход", "delay": 0.5},
    {"event": "Запрос данных пользователя", "delay": 1.0},
    {"event": "Обновление данных пользователя", "delay": 1.5},
    {"event": "Обновление конфигурации сервера", "delay": 5.0},
]


async def fetch_log(event):
    await asyncio.sleep(event.get("delay"))
    print(f"Событие: '{event['event']}' обработано с задержкой {event['delay']} сек.")


async def main():
    tasks = []
    for event in log_events:
        tasks.append(asyncio.create_task(fetch_log(event)))
    await asyncio.gather(*tasks)


asyncio.run(main())
