import asyncio

status_list = [
    "Отлично",
    "Хорошо",
    "Удовлетворительно",
    "Средне",
    "Пониженное",
    "Ниже среднего",
    "Плохо",
    "Очень плохо",
    "Критично",
    "Катастрофически",
]
CPU_TASK_NAME = "CPU"
MEMORY_TASK_NAME = "Память"
DISK_SPACE_TASK_NAME = "Дисковое пространство"


async def monitor_pc(status):
    task_name = asyncio.current_task().get_name()
    print(f"[{task_name}] Статус проверки: {status}")
    if status == "Катастрофически":
        print(
            f"[{task_name}] Критическое состояние достигнуто. Инициируется остановка..."
        )


async def main():
    tasks = []
    for status in status_list:
        tasks.append(asyncio.create_task(coro=monitor_pc(status), name=CPU_TASK_NAME))
        tasks.append(
            asyncio.create_task(coro=monitor_pc(status), name=MEMORY_TASK_NAME)
        )
        tasks.append(
            asyncio.create_task(coro=monitor_pc(status), name=DISK_SPACE_TASK_NAME)
        )
    await asyncio.gather(*tasks)


asyncio.run(main())
