import asyncio


async def activate_portal(x):
    print(f"Активация портала в процессе, требуется времени: {x} единиц")
    await asyncio.sleep(x)
    return x * 2


async def perform_teleportation(x):
    print(f"Телепортация в процессе, требуется времени: {x} единиц")
    await asyncio.sleep(x)
    return x + 2


async def portal_operator():
    activate_portal_task = asyncio.ensure_future(activate_portal(2))
    await activate_portal_task
    pt_task = asyncio.ensure_future(
        perform_teleportation(activate_portal_task.result())
    )
    await pt_task
    print(f"Результат активации портала: {activate_portal_task.result()} единиц энергии")
    print(f"Результат телепортации: {pt_task.result()} единиц времени")


asyncio.run(portal_operator())
