import asyncio


async def process_task():
    await asyncio.sleep(1)
    cur_task = asyncio.current_task()
    return id(cur_task)


async def main():
    tasks = [asyncio.create_task(process_task()) for _ in range(0, 10)]
    done, tasks = await asyncio.wait(tasks, return_when=asyncio.ALL_COMPLETED)
    return [task_res.result() for task_res in done]


asyncio.run(main())
