import asyncio

codes = [
    "56FF4D",
    "A3D2F7",
    "B1C94A",
    "F56A1D",
    "D4E6F1",
    "A1B2C3",
    "D4E5F6",
    "A7B8C9",
    "D0E1F2",
    "A3B4C5",
    "D6E7F8",
    "A9B0C1",
    "D2E3F4",
    "A5B6C7",
    "D8E9F2",
]

messages = [
    "Привет, мир!",
    "Как дела?",
    "Что нового?",
    "Добрый день!",
    "Пока!",
    "Спокойной ночи!",
    "Удачного дня!",
    "Всего хорошего!",
    "До встречи!",
    "Счастливого пути!",
    "Успехов в работе!",
    "Приятного аппетита!",
    "Хорошего настроения!",
    "Спасибо за помощь!",
    "Всего наилучшего!",
]


async def print_message(message_index: int):
    await asyncio.sleep(message_index/100 + 0.01)
    # Get code
    code = codes[message_index]
    if int(code[-1], 16) % 2 == 0:
        print("Сообщение: Неверный код, сообщение скрыто")
    else:
        print(f"Сообщение: {messages[message_index]}")
    return message_index


def print_code(task: asyncio.Task):
    print(f"Код: {codes[task.result()]}")


async def main():
    tasks = []
    for index in range(0, len(messages)):
        task = asyncio.create_task(print_message(index))
        task.add_done_callback(print_code)
        tasks.append(task)
    await asyncio.gather(*tasks)

asyncio.run(main())
